package com.engine.kq.wfset.attendance.domain;

/**
 * 考勤流程动作设置
 * @author wcd
 * @version 1.0 2015-04-27
 */
public class HrmAttProcAction {

	private Long id;
  /**
   * 对应kq_ATT_PROC_SET的field006字段,即考勤流程类型
   */
	private Long mfid;
  /**
   * 对应kq_ATT_PROC_SET的id字段,-1表示默认的action
   */
	private Long field001;
  /**
   * action名称
   */
	private String field002;
  /**
   * labelname
   */
	private String field003;
	private Integer field004;
  /**
   * 0出口附加规则，1节点后附加操作，2节点前附加操作
   */
	private Integer field005;
  /**
   * 节点id
   */
	private String field006;
  /**
   * 节点名称
   */
	private String field006Name;
  /**
   * 退回时触发，1表示是
   */
	private Integer field007;
	private Integer field008;
	
	public HrmAttProcAction() {
		this(true);
	}

	public HrmAttProcAction(boolean arg) {
		if(arg) init();
	}

	public void init() {
		this.id = 0L;
		this.mfid = java.util.UUID.randomUUID().getMostSignificantBits();
		this.field001 = 0L;
		this.field002 = "";
		this.field003 = "";
		this.field004 = 0;
		this.field005 = 0;
		this.field006 = "-1";
		this.field006Name = "";
		this.field007 = 0;
		this.field008 = 0;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return id;
	}

	public void setMfid(Long mfid) {
		this.mfid = mfid;
	}

	public Long getMfid() {
		return mfid;
	}

	public void setField001(Long field001) {
		this.field001 = field001;
	}

	public Long getField001() {
		return field001;
	}

	public void setField002(String field002) {
		this.field002 = field002;
	}

	public String getField002() {
		return field002;
	}

	public void setField003(String field003) {
		this.field003 = field003;
	}

	public String getField003() {
		return field003;
	}

	public void setField004(Integer field004) {
		this.field004 = field004;
	}

	public Integer getField004() {
		return field004;
	}

	public void setField005(Integer field005) {
		this.field005 = field005;
	}

	public Integer getField005() {
		return field005;
	}

	public void setField006(String field006) {
		this.field006 = field006;
	}

	public String getField006() {
		return field006;
	}

	public String getField006Name() {
		return field006Name;
	}

	public void setField006Name(String field006Name) {
		this.field006Name = field006Name;
	}

	public void setField007(Integer field007) {
		this.field007 = field007;
	}

	public Integer getField007() {
		return field007;
	}

	public Integer getField008() {
		return field008;
	}

	public void setField008(Integer field008) {
		this.field008 = field008;
	}

	public String getSql() {
		return new StringBuffer("select ")
		.append(mfid).append(",")
		.append(field001).append(",")
		.append("'").append(field002).append("',")
		.append("'").append(field003).append("',")
		.append(field004).append(",")
		.append(field005).append(",")
		.append("'").append(field006).append("',")
		.append(field007).append(",")
		.append(field008)
		.toString();
	}

}
